--
-- PostgreSQL database dump
--

SET client_encoding = 'LATIN1';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: castigos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE castigos (
    id_castigo integer NOT NULL,
    descripcion text NOT NULL,
    comando text NOT NULL
);


ALTER TABLE public.castigos OWNER TO postgres;

--
-- Name: TABLE castigos; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE castigos IS 'Castigos para las violaciones junto con su descripcion y el comando a ejecutar por cada uno.
';


--
-- Name: castigos_id_castigo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE castigos_id_castigo_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.castigos_id_castigo_seq OWNER TO postgres;

--
-- Name: castigos_id_castigo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE castigos_id_castigo_seq OWNED BY castigos.id_castigo;


--
-- Name: castigos_id_castigo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('castigos_id_castigo_seq', 1, false);


--
-- Name: id_castigo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE castigos ALTER COLUMN id_castigo SET DEFAULT nextval('castigos_id_castigo_seq'::regclass);


--
-- Data for Name: castigos; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO castigos VALUES (100, 'Desbloquear', '/usr/libexec/nac/scripts/unblock.sh %s');
INSERT INTO castigos VALUES (1, 'Bloquear y redireccionar', '/usr/libexec/nac/scripts/block.sh %s');
INSERT INTO castigos VALUES (101, 'NOP', '/bin/true');


--
-- Name: id_castigo; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY castigos
    ADD CONSTRAINT id_castigo PRIMARY KEY (id_castigo);


--
-- PostgreSQL database dump complete
--

