#!/usr/local/bin/php
<?
#
# ejecutor.php
#
# Lee la base de datos de violaciones de NAC y ejecuta
# los castigos.
#
# Revisa la tabla "violaciones" de la base de datos y configura el firewall
# para bloquear y/o redirigir al usuario de acuerdo al tipo de violacin.
# En la tabla politicas se detalla la accion a llevar para cada violacin.
# En especial notar la "violacin negativa" que indica que se debe restaurar
# el acceso del usuario.
#


require('/etc/snort/nac.conf');
require('funciones.inc');
require('IPAddressSubnetSniffer.php');


if ( ! $redes_locales ) {

    print "Tienes que definir la variable \$redes_locales en /etc/snort/nac.conf!\n";
    exit (3);

}

/* Conectamos a la base de datos */
conectadb();

/* Carguemos las redes locales */

$ipslocales = new IPAddressSubnetSniffer( $redes_locales );

/* Obtengamos la lista de las violaciones aun no ejecutadas */
$res_violaciones = sql("SELECT violaciones.*,
                               bigint2inet(iphdr.ip_src) as ip_src,
                               bigint2inet(iphdr.ip_dst) as ip_dst
                        FROM  violaciones, iphdr,  politicas
                        WHERE violaciones.ejecutada = 'f'
                        AND   violaciones.activa = 't'
                        AND   iphdr.cid = violaciones.cid
                        AND   iphdr.sid = violaciones.sid
                        AND   violaciones.signature = politicas.signature
                        ORDER BY id_violacion");


/* Apliquemos LA LEY */
while ($row = DameRenglon($res_violaciones)) {


      /* Apliquemos el castigo */

      /* La tabla de castigos tiene una columna "comando" con un */
      /* comando de shell donde vamos a sustituir "%s" por la    */
      /* direccion del usuario que cometio la violacion.         */

      /* Puede ser cualquier comando de shell. Aqui vamos a      */
      /* utilizar scripts de /usr/libexec/nac                    */

      /* Puede haber castigos diferentes para tipos_usuarios diferentes */


print "Revisando violacion (" . $row['id_violacion'] . "), direccion src " . $row['ip_src'] . "\n";

      if ( $ipslocales -> ip_is_allowed( $row['ip_src'] ) ) {

         AplicaCastigo($row['id_violacion'], $row['ip_src']);

      }


}


?>
