#!/bin/sh
#
# block.sh
#
# Script para restringir acceso a Internet a la direccion IP
# recibida como primer argumento.
#
# Este script es parte de Iztaci - NAC
#
# Copyright (c) 2009 Felipe Eduardo Sanchez Diaz Duran
# Todos los derechos reservados.
#

# Conseguimos el nombre del script de NAC, variable NACSCRIPT
source /etc/firewall.d/firewall.conf

# Verifiquemos que tengamos permiso de modificar y ejecutar el firewall
if [ ! -r /etc/firewall.d/freeze ]; then
   BLOCKSTR="\$IPTABLES -I FORWARD -s $1 -j DROP; \$IPTABLES -I FORWARD -s $1 -p udp --dport 53 -j ACCEPT; \$IPTABLES -t nat -A PREROUTING -s $1 -p tcp --dport 80 -j REDIRECT --to-port 8100"

   # Queremos agregar las lineas a $NACSCRIPT solamente si no estan ahi ya
   if ! grep -q -- "$BLOCKSTR" $NACSCRIPT; then

echo block.sh: BLOQUEANDO $1
      echo "$BLOCKSTR" >> $NACSCRIPT

      # Apliquemos el cambio
      /etc/rc.d/rc.firewall &> /dev/null
   else

echo block.sh: $1 YA ESTA BLOQUEADO

   fi

else

   # Valor de retorno 7 indica falla temporal
   echo "`basename $0`: No puedo modificar el firewall en este momento debido a que encontre un archivo /etc/firewall.d/freeze"
   exit 7
fi


