#!/bin/sh
#
# unblock.sh
#
# Script para restaurar acceso a Internet a la direccion IP
# recibida como primer argumento.
#
# Este script es parte de Iztaci - NAC
#
# Copyright (c) 2009 Felipe Eduardo Sanchez Diaz Duran
# Todos los derechos reservados.
#


# Conseguimos el nombre del script de NAC, variable NACSCRIPT
source /etc/firewall.d/firewall.conf

# Verifiquemos que tengamos permiso de modificar y ejecutar el firewall
if [ ! -r /etc/firewall.d/freeze ]; then

   TMPFILE=`mktemp /tmp/nacblock.XXXXXXXXXX` || exit 1

   # Quitamos todas las referencias a esta direccion IP en el NACSCRIPT
   grep -v $1 < $NACSCRIPT > $TMPFILE
   mv $TMPFILE $NACSCRIPT

   # Apliquemos el cambio
   /etc/rc.d/rc.firewall &> /dev/null

else
   # Valor de retorno 7 indica falla temporal
   echo "`basename $0`: No puedo modificar el firewall en este momento debido a que encontre un archivo /etc/firewall.d/freeze"
   exit 7
fi
